## EmpathyContactListView

EmpathyContactListView

## Synopsis

                        EmpathyContactListViewPriv;
                        EmpathyContactListView;
    EmpathyContactListView* empathy_contact_list_view_new   (EmpathyContactListStore *store);
    void                empathy_contact_list_view_set_interactive
                                                            (EmpathyContactListView *view,
                                                             gboolean interactive);
    gboolean            empathy_contact_list_view_get_interactive
                                                            (EmpathyContactListView *view);
    EmpathyContact*     empathy_contact_list_view_get_selected
                                                            (EmpathyContactListView *view);
    gchar*              empathy_contact_list_view_get_selected_group
                                                            (EmpathyContactListView *view);
    GtkWidget*          empathy_contact_list_view_get_contact_menu
                                                            (EmpathyContactListView *view,
                                                             EmpathyContact *contact);
    GtkWidget*          empathy_contact_list_view_get_group_menu
                                                            (EmpathyContactListView *view);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkTreeView
                                     +----EmpathyContactListView

## Implemented Interfaces

EmpathyContactListView implements AtkImplementorIface and GtkBuildable.

## Properties

      "interactive"              gboolean              : Read / Write

## Signals

      "drag-contact-received"                          : Run Last

## Description

## Details

### EmpathyContactListViewPriv

    typedef struct _EmpathyContactListViewPriv EmpathyContactListViewPriv;

### EmpathyContactListView

    typedef struct _EmpathyContactListView EmpathyContactListView;

### empathy_contact_list_view_new ()

    EmpathyContactListView* empathy_contact_list_view_new   (EmpathyContactListStore *store);

`store` : |
Returns : |

### empathy_contact_list_view_set_interactive ()

    void                empathy_contact_list_view_set_interactive
                                                            (EmpathyContactListView *view,
                                                             gboolean interactive);

`view` : |
`interactive` : |

### empathy_contact_list_view_get_interactive ()

    gboolean            empathy_contact_list_view_get_interactive
                                                            (EmpathyContactListView *view);

`view` : |
Returns : |

### empathy_contact_list_view_get_selected ()

    EmpathyContact*     empathy_contact_list_view_get_selected
                                                            (EmpathyContactListView *view);

`view` : |
Returns : |

### empathy_contact_list_view_get_selected_group ()

    gchar*              empathy_contact_list_view_get_selected_group
                                                            (EmpathyContactListView *view);

`view` : |
Returns : |

### empathy_contact_list_view_get_contact_menu ()

    GtkWidget*          empathy_contact_list_view_get_contact_menu
                                                            (EmpathyContactListView *view,
                                                             EmpathyContact *contact);

`view` : |
`contact` : |
Returns : |

### empathy_contact_list_view_get_group_menu ()

    GtkWidget*          empathy_contact_list_view_get_group_menu
                                                            (EmpathyContactListView *view);

`view` : |
Returns : |

## Property Details

### The "`interactive`" property

      "interactive"              gboolean              : Read / Write

Is the view interactive.

Default value: FALSE

## Signal Details

### The "drag-contact-received" signal

    void                user_function                      (EmpathyContactListView *empathycontactlistview,
                                                            EmpathyContact         *arg1,
                                                            gchar                  *arg2,
                                                            gchar                  *arg3,
                                                            gpointer                user_data)                   : Run Last

`empathycontactlistview` : | the object which received the signal.
`arg1` : |
`arg2` : |
`arg3` : |
`user_data` : | user data set when the signal handler was connected.